<template>
    <v-row>
        <v-col cols="12">
            <h1 class="my-4">
                Terms and conditions
            </h1>
            <v-card class="terms-and-conditions-card">
                <v-card-subtitle>
                    <p class="text-left">
                        <i>Last update: {{ lastUpdate }}</i>
                    </p>
                </v-card-subtitle>
            </v-card>
            <v-card v-for="(condition, key) in conditions"
                    :key="key"
                    class="terms-and-conditions-card">
                <v-card-title>
                    <p>{{ condition.name }}</p>
                </v-card-title>
                <v-card-subtitle>
                    <p v-for="text in condition.text"
                       :key="text"
                       class="text-left">
                        {{ text }}
                    </p>
                </v-card-subtitle>
            </v-card>
        </v-col>
    </v-row>
</template>
<script>
export default {
    name: 'TermsAndConditions',
    data: () => ({
        lastUpdate: 'May 05 2020',
        conditions: {
            introduction: {
                name: 'INTRODUCTION',
                text: [
                    'Instavigator (“Company”, “We”, “Us”, “Our”, or “Instavigator") provides its Services (as defined below) to you, the customer (“Customer”, “You”, or “Your”).',
                    'Your use of the Services is subject to and governed by this Master Subscription Agreement (“Agreement”) and the terms of any Subscription Order Form (“Order Form”) that You entered into that specifically references this Agreement. Agreement includes the Order Form.',
                    'By accepting this Agreement, either by clicking a box indicating your acceptance or by executing an Order Form that references this Agreement, You agree to the terms of this Agreement. If you are entering into this Agreement on behalf of a company or other legal entity, you represent that you have the authority to bind such entity and its affiliates to the terms and conditions of this Agreement, in which case the terms “Customer”, “You”, or “Your” shall refer to such entity and its affiliates. If you do not have such authority, or if You do not agree with these Terms and Conditions, You must not accept this Agreement and may not use the Services.',
                    'We reserve the right to update and change the terms of this Agreement from time to time in our sole discretion. We will provide you with notice by updating this page and indicating the date of the update, so please check this page frequently for updates and changes. We also may send you notice via email to the address associated with your account. You agree you will be bound by the terms fourteen (14) days after notice, and Your continued use of the service fourteen (14) days after notice shall constitute acceptance of the new terms by You going forward. You expressly agree that this notice protocol is sufficient and adequate for purposes of providing you notice of the revisions to this Agreement.',
                    'You may not access the Services if you are our direct competitor, except with our prior written consent. In addition, You may not access the Services for purposes of monitoring their availability, performance or functionality, or for any other benchmarking or competitive purposes.'
                ]
            },
            servicesAndSupport: {
                name: 'SERVICES AND SUPPORT',
                text: [
                    'The “Services” include Our website, software, and other services provided to You based on the plan purchased and indicated on the Order Form. Any new features added to or augmenting the Services are also subject to the terms of this Agreement. Certain new features made generally available at no cost to all subscribing customers will be made available to You at no additional charge; however, the availability of some new features may require the payment of additional fees, and Instavigator will determine at its sole discretion whether access to any such new features will require an additional fee.',
                    'Subject to the terms of this Agreement, Company will use commercially reasonable efforts to provide Customer the Services.',
                    'As part of the registration process, You may provide Us with Your username and password, login credentials, or other ‘admin access’ to Your social media or other web-based accounts so that We can provide you the Services. We do not store, give away, or otherwise distribute your password to any third parties. We do not make any claims as to the ownership of these accounts to which we have been given access.',
                    'Regardless of any perceived representation to the contrary, Company in no way guarantees a specific result for Customer. You understand that you are paying Us for our work to generate results, but that results are never guaranteed. It is understood that Company has no control over Facebook, Instagram, or other social media / advertising platforms and if they decide to make changes to their platforms.',
                    'As part of certain Services indicated on the Order Form, We may bring attention of real users to Customer’s Instagram profile with goals that may include increasing followers, likes, and comments. The expected amounts of followers, likes and comments are not guaranteed to Customer in any way, and depend on many factors outside of Company’s control. Moreover, Company cannot protect Customer from spam, fake, or inactive followers, as it is not always possible to distinguish between these followers and real Instagram users.',
                    'Subject to the terms hereof, Company will provide Customer with reasonable technical support services in accordance with Company’s standard practice.'
                ]
            },
            thirdPartyServices: {
                name: 'THIRD PARTY SERVICES',
                text: [
                    'The Services may include connecting to and using certain third party products, services or software under separate terms and conditions (collectively, “Third-party Products”) such as social media services like Instagram or Facebook. Be advised that Your use of such Third-party Products is governed solely by the terms and conditions of such Third-party Products, and We do not endorse, are not responsible for, and make no representations as to such Third-party Products, their content or the manner in which they handle Your data. Instavigator is not liable for any damage or loss caused or alleged to be caused by or in connection with Your access or use of any such Third-party Products, or Your reliance on the privacy practices or other policies of such Third-party Products.',
                    'Customer agrees and understands that Company is not affiliated with any such Third-party Products, including Instagram, Facebook, or any Instagram third-party partners in any way.',
                    'The Services may contain features that require connecting to these various Third-party Products. To take advantage of these features, Customer may be required to provide Company with the login credentials for such Third-party Products. By providing Us with this information, You are allowing Instavigator to pass Your login credentials to these Third-party Products for this purpose.'
                ]
            },
            restrictions: {
                name: 'RESTRICTIONS AND RESPONSIBILITIES',
                text: [
                    'Customer will not, directly or indirectly: reverse engineer, decompile, disassemble or otherwise attempt to discover the source code, object code or underlying structure, ideas, know-how or algorithms relevant to the Services or any software, documentation or data related to the Services (“Software”); modify, translate, or create derivative works based on the Services or any Software (except to the extent expressly permitted by Company or authorized within the Services); use the Services or any Software for time sharing or service bureau purposes or otherwise for the benefit of a third; or remove any proprietary notices or labels.',
                    'Further, Customer may not remove or export from the United States or allow the export or re-export of the Services, Software or anything related thereto, or any direct product thereof in violation of any restrictions, laws or regulations of the United States Department of Commerce, the United States Department of Treasury Office of Foreign Assets Control, or any other United States or foreign agency or authority.  As defined in FAR section 2.101, the Software and documentation are “commercial items” and according to DFAR section 252.227‑7014(a)(1) and (5) are deemed to be “commercial computer software” and “commercial computer software documentation.” Consistent with DFAR section 227.7202 and FAR section 12.212, any use modification, reproduction, release, performance, display, or disclosure of such commercial software or commercial software documentation by the U.S. Government will be governed solely by the terms of this Agreement and will be prohibited except to the extent expressly permitted by the terms of this Agreement.',
                    'Customer represents, covenants, and warrants that Customer will use the Services only in compliance with Company’s standard published policies then in effect (the “Policy”) and all applicable laws and regulations.  Customer hereby agrees to indemnify and hold harmless Company against any damages, losses, liabilities, settlements and expenses (including without limitation costs and attorneys’ fees) in connection with any claim or action that arises from an alleged violation of the foregoing or otherwise from Customer’s use of Services. Although Company has no obligation to monitor Customer’s use of the Services, Company may do so and may prohibit any use of the Services it believes may be (or alleged to be) in violation of the foregoing.',
                    'Customer shall be responsible for obtaining and maintaining any equipment and ancillary services needed to connect to, access or otherwise use the Services, including, without limitation, modems, hardware, servers, software, operating systems, networking, web servers and the like (collectively, “Equipment”).  Customer shall also be responsible for maintaining the security of the Equipment, Customer account, passwords (including but not limited to administrative and user passwords) and files, and for all uses of Customer account or the Equipment with or without Customer’s knowledge or consent.'
                ]
            },
            confidentiality: {
                name: 'CONFIDENTIALITY / PROPRIETARY RIGHTS',
                text: [
                    'Each party (the “Receiving Party”) understands that the other party (the “Disclosing Party”) has disclosed or may disclose business, technical or financial information relating to the Disclosing Party’s business (hereinafter referred to as “Proprietary Information” of the Disclosing Party).  Proprietary Information of Company includes non-public information regarding features, functionality and performance of the Service. Proprietary Information of Customer includes non-public data provided by Customer to Company to enable the provision of the Services (“Customer Data”). The Receiving Party agrees: (i) to take reasonable precautions to protect such Proprietary Information, and (ii) not to use (except in performance of the Services or as otherwise permitted herein) or divulge to any third person any such Proprietary Information.  The Disclosing Party agrees that the foregoing shall not apply with respect to any information after five (5) years following the disclosure thereof or any information that the Receiving Party can document (a) is or becomes generally available to the public, or (b) was in its possession or known by it prior to receipt from the Disclosing Party, or (c) was rightfully disclosed to it without restriction by a third party, or (d) was independently developed without use of any Proprietary Information of the Disclosing Party or (e) is required to be disclosed by law.',
                    'Customer shall own all right, title and interest in and to the Customer Data, as well as any data that is based on or derived from the Customer Data and provided to Customer as part of the Services. Company shall own and retain all right, title and interest in and to (a) the Services and Software, all improvements, enhancements or modifications thereto, (b) any software, applications, inventions or other technology developed in connection with support, and (c) all intellectual property rights related to any of the foregoing.',
                    'Notwithstanding anything to the contrary, Company shall have the right collect and analyze data and other information relating to the provision, use and performance of various aspects of the Services and related systems and technologies (including, without limitation, information concerning Customer Data and data derived therefrom), and  Company will be free (during and after the term hereof) to (i) use such information and data to improve and enhance the Services and for other development, diagnostic and corrective purposes in connection with the Services and other Company offerings, and (ii) disclose such data solely in aggregate or other de-identified form in connection with its business. No rights or licenses are granted except as expressly set forth herein.'
                ]
            },
            paymentOfFees: {
                name: 'PAYMENT OF FEES',
                text: [
                    'Customer will pay Company the then applicable fees described in the Order Form in accordance with the terms therein (the “Fees”).  If Customer’s use of the Services exceeds the Service Capacity set forth on the Order Form or otherwise requires the payment of additional fees (per the terms of this Agreement), Customer shall be billed for such usage and Customer agrees to pay the additional fees in the manner provided herein.  Company reserves the right to change the Fees or applicable charges and to institute new charges and Fees upon thirty (30) days prior notice to Customer (which may be sent by email). If Customer believes that Company has billed Customer incorrectly, Customer must contact Company no later than 60 days after the closing date on the first billing statement in which the error or problem appeared, in order to receive an adjustment or credit.  Inquiries should be directed to Company’s customer support department.',
                    'Company may choose to bill through an invoice, in which case, full payment for invoices issued in any given month must be received by Company thirty (30) days after the mailing date of the invoice.  Unpaid amounts are subject to a finance charge of 1.5% per month on any outstanding balance, or the maximum permitted by law, whichever is lower, plus all expenses of collection and may result in immediate termination of Service. Customer shall be responsible for all taxes associated with Services other than U.S. taxes based on Company’s net income.'
                ]
            },
            termsAndTermination: {
                name: 'TERM AND TERMINATION',
                text: [
                    'Subject to earlier termination as provided below, this Agreement is for the Initial Service Term as specified in the Order Form, and shall be automatically renewed for additional periods of the same duration as the Initial Service Term (collectively, the “Term”), unless either party requests termination at least thirty (30) days prior to the end of the then-current term, or otherwise indicated on the Order Form.',
                    'In addition to any other remedies it may have, either party may also terminate this Agreement upon thirty (30) days’ notice (or without notice in the case of nonpayment) if the other party materially breaches any of the terms or conditions of this Agreement.  Customer will pay in full for the Services up to and including the last day on which the Services are provided. All sections of this Agreement which by their nature should survive termination will survive termination, including, without limitation, accrued rights to payment, confidentiality obligations, warranty disclaimers, and limitations of liability.',
                    'Customers who purchase Services with Initial Service Terms greater than one (1) month as specified on the Order Form have the option to terminate this Agreement at any time during the first thirty (30) days of Service for any reason. Customer may choose to exercise this option by emailing their assigned Customer Service Representative. If Customer chooses to exercise this option, Company will refund Customer for the prorated amount remaining on their Initial Service term, rounded up to the nearest month.  For example, if the Initial Service Term was 3 months, then the refund amount would be ⅔ the Fees.'
                ]
            },
            workProductOwnership: {
                name: 'WORK PRODUCT OWNERSHIP',
                text: [
                    'Any copyrightable works, ideas, discoveries, products, or other information (collectively, the “Work Product”) developed in whole or in part by Company in connection with the Services will be the exclusive property of Company. Upon request, We will execute all documents necessary to confirm or perfect the exclusive ownership of Company to the Work Product.'
                ]
            },
            warrantyAndDisclaimer: {
                name: 'WARRANTY AND DISCLAIMER',
                text: [
                    'Company shall use reasonable efforts consistent with prevailing industry standards to maintain the Services in a manner which minimizes errors and interruptions in the Services.  Services may be temporarily unavailable for scheduled maintenance or for unscheduled emergency maintenance, either by Company or by third-party providers, or because of other causes beyond Company’s reasonable control, but Company shall use reasonable efforts to provide advance notice in writing or by e-mail of any scheduled service disruption.  However, Company does not warrant that the Services will be uninterrupted or error free; nor does it make any warranty as to the results that may be obtained from use of the Services.  EXCEPT AS EXPRESSLY SET FORTH IN THIS SECTION, THE SERVICES ARE PROVIDED “AS IS” AND COMPANY DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT.'
                ]
            },
            identity: {
                name: 'INDEMNITY',
                text: [
                    'Company shall hold Customer harmless from liability to third parties resulting from infringement by the Service of any United States patent or any copyright or misappropriation of any trade secret, provided Company is promptly notified of any and all threats, claims and proceedings related thereto and given reasonable assistance and the opportunity to assume sole control over defense and settlement; Company will not be responsible for any settlement it does not approve in writing.  The foregoing obligations do not apply with respect to portions or components of the Service (i) not supplied by Company, (ii) made in whole or in part in accordance with Customer specifications, (iii) that are modified after delivery by Company, (iv) combined with other products, processes or materials where the alleged infringement relates to such combination, (v) where Customer continues allegedly infringing activity after being notified thereof or after being informed of modifications that would have avoided the alleged infringement, or (vi) where Customer’s use of the Service is not strictly in accordance with this Agreement.  If, due to a claim of infringement, the Services are held by a court of competent jurisdiction to be or are believed by Company to be infringing, Company may, at its option and expense (a) replace or modify the Service to be non-infringing provided that such modification or replacement contains substantially similar features and functionality, (b) obtain for Customer a license to continue using the Service, or (c) if neither of the foregoing is commercially practicable, terminate this Agreement and Customer’s rights hereunder and provide Customer a refund of any prepaid, unused fees for the Service.'
                ]
            },
            limitationOfLiability: {
                name: 'LIMITATION OF LIABILITY',
                text: [
                    'NOTWITHSTANDING ANYTHING TO THE CONTRARY, EXCEPT FOR BODILY INJURY OF A PERSON, COMPANY AND ITS SUPPLIERS (INCLUDING BUT NOT LIMITED TO ALL EQUIPMENT AND TECHNOLOGY SUPPLIERS), OFFICERS, AFFILIATES, REPRESENTATIVES, CONTRACTORS AND EMPLOYEES SHALL NOT BE RESPONSIBLE OR LIABLE WITH RESPECT TO ANY SUBJECT MATTER OF THIS AGREEMENT OR TERMS AND CONDITIONS RELATED THERETO UNDER ANY CONTRACT, NEGLIGENCE, STRICT LIABILITY OR OTHER THEORY: (A) FOR ERROR OR INTERRUPTION OF USE OR FOR LOSS OR INACCURACY OR CORRUPTION OF DATA OR COST OF PROCUREMENT OF SUBSTITUTE GOODS, SERVICES OR TECHNOLOGY OR LOSS OF BUSINESS; (B) FOR ANY INDIRECT, EXEMPLARY, INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES; (C) FOR ANY MATTER BEYOND COMPANY’S REASONABLE CONTROL; OR (D) FOR ANY AMOUNTS THAT, TOGETHER WITH AMOUNTS ASSOCIATED WITH ALL OTHER CLAIMS, EXCEED THE FEES PAID BY CUSTOMER TO COMPANY FOR THE SERVICES UNDER THIS AGREEMENT IN THE 12 MONTHS PRIOR TO THE ACT THAT GAVE RISE TO THE LIABILITY, IN EACH CASE, WHETHER OR NOT COMPANY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.  '
                ]
            },
            miscellaneous: {
                name: 'MISCELLANEOUS',
                text: [
                    'If any provision of this Agreement is found to be unenforceable or invalid, that provision will be limited or eliminated to the minimum extent necessary so that this Agreement will otherwise remain in full force and effect and enforceable.  This Agreement is not assignable, transferable or sublicensable by Customer except with Company’s prior written consent. Company may transfer and assign any of its rights and obligations under this Agreement without consent. This Agreement, which includes the Order Form, is the complete and exclusive statement of the mutual understanding of the parties and supersedes and cancels all previous written and oral agreements, communications and other understandings relating to the subject matter of this Agreement, and that all waivers and modifications must be in a writing signed by both parties, except as otherwise provided herein.  No agency, partnership, joint venture, or employment is created as a result of this Agreement and Customer does not have any authority of any kind to bind Company in any respect whatsoever. In any action or proceeding to enforce rights under this Agreement, the prevailing party will be entitled to recover costs and attorneys’ fees. All notices under this Agreement will be in writing and will be deemed to have been duly given when received, if personally delivered; when receipt is electronically confirmed, if transmitted by facsimile or e-mail; the day after it is sent, if sent for next day delivery by recognized overnight delivery service; and upon receipt, if sent by certified or registered mail, return receipt requested.  This Agreement shall be governed by the laws of the State of California without regard to its conflict of laws provisions.'
                ]
            }
        }
    })
}
</script>

<style lang="scss" scoped>
    .terms-and-conditions-card.v-card:not(.v-sheet--tile):not(.v-card--shaped)
    {
        border-radius: 0;
    }
</style>
